Home>Support>PHP upgrade from 5.3 to 5.4 or higher causes theme problem

PHP upgrade from 5.3 to 5.4 or higher causes theme problem

By ameis, 9 months ago. Last reply by Alex S, 9 months ago.

When we upgrade our website’s PHP from 5.3 to 5.4 or higher, the theme gets all messed up and the web site doesn’t display correctly.

The theme is vantage premium and is up to date.

thank you.

Arne

This is a free community support forum. Replies are not guaranteed. If you need professional email support, please purchase a SiteOrigin Premium license.

  1. 9 months, 18 days ago Alex S Hi, I Work Here

    Hi Ameis,

    Can you please elaborate on the issues you’re facing? I ask because we design using PHP 7.1 and test against older versions of PHP (5.6, and 5.4) so I’m not too sure why you’re experiencing issues after updating PHP.

  2. 9 months, 18 days ago ameis

    Alex,

    Thank you for your response.

    Unfortunately, I don't have screen shots of what it looked like.

    It was almost as if the images and the formatting was lost.

    So the menu items would all be lined up on the left down instead of across.

    The banner of scrolling images wasn't there.

    And we tried multiple versions of PHP, all same results.

    Arne

  3. 9 months, 18 days ago Alex S Hi, I Work Here

    Hi Arne,

    Would it be possible for you to temporarily upgrade once more so we can check the results? I ask because we really need to see this issue to work out why it’s occurring.

    Also, are all of your other plugins compatible with newer versions of PHP? Are you using the latest version of all of our plugins?

  4. 9 months, 18 days ago ameis

    Alex,

    I was afraid that that would be necessary.

    How do we set this up? Do I do it and just take screenshots? Or do you want to schedule a time to do it when you are available?

    Yes, I keep all plug-ins updated and I did went through the vendors websites to assure they are compatible.

    I also turned them off to see if that would resolve the issue when we did the upgrade.

    Arne

  5. 9 months, 18 days ago Alex S Hi, I Work Here

    Hi Arne,

    I really need to be able to inspect the site directly when it’s affected by this upgrade issue. I’m based in GMT +10 and I see you’re based in EST. For reference, here’s a time conversion tool. Would you be okay with trying this around 12 AM to 1 AM your time? I’m suggesting this time frame due to that likely being a very low traffic time period for your website. Let me know before you proceed as I’ll provide you with an easy way to alert me when you’ve upgraded your PHP.

  6. 9 months, 18 days ago ameis

    Alex,

    Being there and seeing it, is definitely better.

    We don't have to do midnight or 1 am…we are not a commercial site.

    We could probably schedule something for tomorrow. I'll check using the time conversion Tool and let you know.

    Arne

  7. 9 months, 18 days ago Alex S Hi, I Work Here

    Hi Arne,

    What about in the morning then? 6 – 8 AM?

  8. 9 months, 17 days ago ameis

    Alex,

    Could we do 9:30 pm today? Your time would be 12:30 pm (2/28).

    Arne

  9. 9 months, 16 days ago Alex S Hi, I Work Here

    Hi Arne,

    Very sorry for the delay.

    Unfortunately, I didn’t receive notification of your reply for now. I suspect I may have accidentally deleted your last reply from my inbox at the exact moment and for that, I’m sorry.

    Can we please reschedule for a little later?

  10. 9 months, 14 days ago ameis

    Alex,

    No worries, my work schedule interfered too.

    Can we look at Monday/Tuesday of next week?

    Arne

  11. 9 months, 12 days ago Private Message - Alex S Hi, I Work Here

    This is a private message.

Replies on this thread are closed. Please create a new thread if you have a question, or purchase a SiteOrigin Premium license if you need one-on-one email support.

Get The Most Out of SiteOrigin with SiteOrigin Premium

Find Out More